{
  "env": {
    "browser": true,
    "es6": true,
    "webextensions": true
  },
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "sourceType": "module",
    "ecmaVersion": 11
  },
  "overrides": [
	{
	  "files": ["*.ts"],
	  "parserOptions": {
		"project": "./tsconfig.json"
	  }
	}
  ],
  "plugins": [
	"@typescript-eslint",
	"prettier"
  ],
  "extends": [
    "plugin:no-unsanitized/DOM",
	"eslint:recommended",
	"plugin:@typescript-eslint/eslint-recommended",
	"plugin:@typescript-eslint/recommended",
	"prettier"
  ],
  "rules": {
    "semi": [2, "never"]
  }
}
